#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 2, todo => [2] }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$out    = Dumper4Eval();
ok($out, '',                "without params");

$data = { key1 => 1, key2 => [2,3,4], key3 => { key31=>1, key32=>2 } };
$wait = "{'key1' => 1,'key2' => [2,3,4],'key3' => {'key31' => 1,'key32' => 2}}";
local $Data::Dumper::Sortkeys; $Data::Dumper::Sortkeys = 1; # perl 5.8.0
$out  = Dumper4Eval($data);
ok($out, $wait,             "Dumper4Eval");

