#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 4 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib qw($TIME);

$was = $TIME;
ConkOut(0.01);
$now = $TIME;
print "$was .. $now\n";
ok(($was<$now) && ($was+0.02>$now), 1,		"TIME & ConkOut: sleep 0.01");

$was = $TIME;
ConkOut(0.1);
$now = $TIME;
print "$was .. $now\n";
ok(($was+0.05<$now) && ($was+0.15>$now), 1,	"TIME & ConkOut: sleep 0.10");

$was = $TIME;
ConkOut(1);
$now = $TIME;
print "$was .. $now\n";
ok(($was+0.9<$now) && ($was+1.1>$now), 1,	"TIME & ConkOut: sleep 1.00");

eval {
    local $SIG{ALRM} = sub { die "ALARM!\n" };
    alarm(2);
    <STDIN>;
    alarm(0);
};
ok($@, "ALARM!\n",				"Safe system calls");

